Bug 66370 - ao.h should include stdio.h
ao.h should include stdio.h
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: libao (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-08 19:43 EDT by Michael Schwendt
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-19 09:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (325 bytes, patch)
2002-06-08 19:45 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2002-06-08 19:43:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
struct ao_device in <ao/ao.h> uses "FILE" from <stdio.h> and hence should
include that header.

Version-Release number of selected component (if applicable):
0.8.2-2 and 0.8.2-3

How reproducible:
Always

Steps to Reproduce:
Compile minimal program or any other program that  includes ao.h but not
stdio.h, e.g. "gcc -c test.c":

/* test.c */

#include <ao/ao.h>

int x;



Actual Results:  In file included from test.c:1:
/usr/include/ao/ao.h:80: parse error before `FILE'
/usr/include/ao/ao.h:80: warning: no semicolon at end of struct or union
/usr/include/ao/ao.h:87: parse error before `}'
/usr/include/ao/ao.h:87: warning: data definition has no type or storage class
/usr/include/ao/ao.h:99: parse error before `*'
/usr/include/ao/ao.h:100: parse error before `*'
/usr/include/ao/ao.h:102: parse error before `*'
/usr/include/ao/ao.h:103: parse error before `*'
/usr/include/ao/ao.h:105: parse error before `*'
/usr/include/ao/ao.h:106: parse error before `*'
/usr/include/ao/ao.h:126: parse error before `*'
/usr/include/ao/ao.h:127: warning: data definition has no type or storage class
/usr/include/ao/ao.h:128: parse error before `*'
/usr/include/ao/ao.h:129: warning: data definition has no type or storage class
/usr/include/ao/ao.h:131: parse error before `*'
/usr/include/ao/ao.h:132: parse error before `*'


Expected Results:  No errors.


Additional info:

Bug report has been sent to author, too.
Comment 1 Michael Schwendt 2002-06-08 19:45:50 EDT
Created attachment 60185 [details]
patch
Comment 2 Michael Schwendt 2003-08-19 09:56:02 EDT
Fix has been included in upstream CVS.

Note You need to log in before you can comment on or make changes to this bug.